import Highlight from './Highlight';
import Highlighter from './Highlighter';
import { ISerializationData } from './serializationStrategies';
import { serialize as defaultSerializer } from './serializationStrategies/XpathRangeSelector';
interface ICommon {
    id: string;
    content: string;
}
declare type IData = ICommon & ISerializationData;
export default class SerializedHighlight {
    static defaultSerializer: typeof defaultSerializer;
    private _data;
    private deserializer;
    constructor(data: IData);
    readonly data: IData;
    readonly id: string;
    readonly content: string;
    isLoadable(highlighter: Highlighter): boolean;
    load(highlighter: Highlighter): Highlight;
}
export {};
